libevent 2.1.13 Event notification library

Loading...
Searching...
No Matches
tag_compat.h File Reference

Obsolete/deprecated functions from tag.h; provided only for backwards compatibility. More...

Go to the source code of this file.

## Macros
Misnamed functions
Deprecated These macros are deprecated because their names don't follow Libevent's naming conventions. Use evtag_encode_int and evtag_encode_int64 instead.
#define | encode_int(evbuf, number)
#define | encode_int64(evbuf, number)

## Detailed Description

Obsolete/deprecated functions from tag.h; provided only for backwards compatibility.

## Macro Definition Documentation

## ◆ encode_int

#define encode_int | ( |  | evbuf,
|  |  | number )

Value:
evtag_encode_int((evbuf), (number))
evtag_encode_int
EVENT2_EXPORT_SYMBOL void evtag_encode_int(struct evbuffer *evbuf, ev_uint32_t number)
Encode an integer and store it in an evbuffer.

## ◆ encode_int64

#define encode_int64 | ( |  | evbuf,
|  |  | number )

Value:
evtag_encode_int64((evbuf), (number))